# IRremoteESP8266: src/ir_Argo.h File Reference

ir_Argo.h File Reference

Support for Argo Ulisse 13 DCI Mobile Split ACs. More...

Go to the source code of this file.

## Classes

union | ArgoProtocol
| Native representation of a Argo A/C message. More...
class | IRArgoAC
| Class for handling detailed Argo A/C messages. More...

## Variables

const uint8_t | kArgoHeatBit = 0b00100000
const uint8_t | kArgoCool = 0b000
const uint8_t | kArgoDry = 0b001
const uint8_t | kArgoAuto = 0b010
const uint8_t | kArgoOff = 0b011
const uint8_t | kArgoHeat = 0b100
const uint8_t | kArgoHeatAuto = 0b101
const uint8_t | kArgoHeatBlink = 0b110
const uint8_t | kArgoFanAuto = 0
const uint8_t | kArgoFan1 = 1
const uint8_t | kArgoFan2 = 2
const uint8_t | kArgoFan3 = 3
const uint8_t | kArgoTempDelta = 4
const uint8_t | kArgoMaxRoomTemp = 35
const uint8_t | kArgoMinTemp = 10
const uint8_t | kArgoMaxTemp = 32
const uint8_t | kArgoFlapAuto = 0
const uint8_t | kArgoFlap1 = 1
const uint8_t | kArgoFlap2 = 2
const uint8_t | kArgoFlap3 = 3
const uint8_t | kArgoFlap4 = 4
const uint8_t | kArgoFlap5 = 5
const uint8_t | kArgoFlap6 = 6
const uint8_t | kArgoFlapFull = 7

## Detailed Description

Support for Argo Ulisse 13 DCI Mobile Split ACs.

## Variable Documentation

## kArgoAuto

const uint8_t kArgoAuto = 0b010

## kArgoCool

const uint8_t kArgoCool = 0b000

## kArgoDry

const uint8_t kArgoDry = 0b001

## kArgoFan1

const uint8_t kArgoFan1 = 1

## kArgoFan2

const uint8_t kArgoFan2 = 2

## kArgoFan3

const uint8_t kArgoFan3 = 3

## kArgoFanAuto

const uint8_t kArgoFanAuto = 0

## kArgoFlap1

const uint8_t kArgoFlap1 = 1

## kArgoFlap2

const uint8_t kArgoFlap2 = 2

## kArgoFlap3

const uint8_t kArgoFlap3 = 3

## kArgoFlap4

const uint8_t kArgoFlap4 = 4

## kArgoFlap5

const uint8_t kArgoFlap5 = 5

## kArgoFlap6

const uint8_t kArgoFlap6 = 6

## kArgoFlapAuto

const uint8_t kArgoFlapAuto = 0

## kArgoFlapFull

const uint8_t kArgoFlapFull = 7

## kArgoHeat

const uint8_t kArgoHeat = 0b100

## kArgoHeatAuto

const uint8_t kArgoHeatAuto = 0b101

## kArgoHeatBit

const uint8_t kArgoHeatBit = 0b00100000

## kArgoHeatBlink

const uint8_t kArgoHeatBlink = 0b110

## kArgoMaxRoomTemp

const uint8_t kArgoMaxRoomTemp = 35

## kArgoMaxTemp

const uint8_t kArgoMaxTemp = 32

## kArgoMinTemp

const uint8_t kArgoMinTemp = 10

## kArgoOff

const uint8_t kArgoOff = 0b011

## kArgoTempDelta

const uint8_t kArgoTempDelta = 4